Update an object definition
curl --request PATCH \
--url https://app.nex.ai/api/developers/v1/objects/{slug} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Updated Project",
"description": "Updated description"
}
'import requests
url = "https://app.nex.ai/api/developers/v1/objects/{slug}"
payload = {
"name": "Updated Project",
"description": "Updated description"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Updated Project', description: 'Updated description'})
};
fetch('https://app.nex.ai/api/developers/v1/objects/{slug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.nex.ai/api/developers/v1/objects/{slug}"
payload := strings.NewReader("{\n \"name\": \"Updated Project\",\n \"description\": \"Updated description\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"attributes": [
{
"description": "<string>",
"id": "<string>",
"name": "<string>",
"options": {
"is_multi_value": true,
"is_required": true,
"is_unique": true,
"is_whole_number": true,
"select_options": [
{
"id": "<string>",
"name": "<string>"
}
],
"use_raw_format": true
},
"slug": "<string>",
"type": "<string>"
}
],
"created_at": "<string>",
"description": "<string>",
"id": "<string>",
"name": "<string>",
"name_plural": "<string>",
"slug": "<string>",
"type": "<string>"
}{
"code": 123,
"message": "<string>"
}{
"code": 123,
"message": "<string>"
}{
"code": 123,
"message": "<string>"
}{
"code": 123,
"message": "<string>"
}Schema
Update an object definition
Updates properties of an existing object definition
PATCH
/
v1
/
objects
/
{slug}
Update an object definition
curl --request PATCH \
--url https://app.nex.ai/api/developers/v1/objects/{slug} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Updated Project",
"description": "Updated description"
}
'import requests
url = "https://app.nex.ai/api/developers/v1/objects/{slug}"
payload = {
"name": "Updated Project",
"description": "Updated description"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Updated Project', description: 'Updated description'})
};
fetch('https://app.nex.ai/api/developers/v1/objects/{slug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.nex.ai/api/developers/v1/objects/{slug}"
payload := strings.NewReader("{\n \"name\": \"Updated Project\",\n \"description\": \"Updated description\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"attributes": [
{
"description": "<string>",
"id": "<string>",
"name": "<string>",
"options": {
"is_multi_value": true,
"is_required": true,
"is_unique": true,
"is_whole_number": true,
"select_options": [
{
"id": "<string>",
"name": "<string>"
}
],
"use_raw_format": true
},
"slug": "<string>",
"type": "<string>"
}
],
"created_at": "<string>",
"description": "<string>",
"id": "<string>",
"name": "<string>",
"name_plural": "<string>",
"slug": "<string>",
"type": "<string>"
}{
"code": 123,
"message": "<string>"
}{
"code": 123,
"message": "<string>"
}{
"code": 123,
"message": "<string>"
}{
"code": 123,
"message": "<string>"
}Authorizations
API key for authentication (format: "Bearer YOUR_API_KEY")
Path Parameters
Object slug (e.g., 'person', 'company')
Body
application/json
Fields to update
Response
Updated object definition
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Last modified on March 26, 2026
⌘I